<?php

namespace Drupal\cision_block\Item;

/**
 * Class used to hold data for a cision feed item.
 */
class CisionItem extends BaseItem {
  public string $Id;
  public string $Title;
  public string $HtmlTitle;
  public string $Header;
  public string $HtmlHeader;
  public string $PublishDate;
  public string $LastChangeDate;
  public string $Intro;
  public string $HtmlIntro;
  public string $Body;
  public string $HtmlBody;
  public string $CountryCode;
  public string $LanguageCode;
  public string $IsRegulatory;
  public string $SocialMediaPitch;
  public string $InformationType;
  public string $Contact;
  public string $HtmlContact;
  public array $Images;
  public array $Files;
  public string $CisionWireUrl;
  public array $Keywords;
  public array $Categories;
  public string $CompanyInformation;
  public string $HtmlCompanyInformation;
  public array $QuickFacts;
  public string $LogoUrl;
  public array $Quotes;
  public array $ExternalLinks;
  public array $EmbeddedItems;
  public array $Videos;

  /**
   * A summary created from either Intro or Body will be stored in this field.
   *
   * @var string
   */
  public string $Preamble;

}
