<?php

namespace Drupal\cision_block\Item;

/**
 * Defines a base item class.
 */
abstract class BaseItem {

  public function get($field) {
    return $this->{$field} ?? NULL;
  }

  public function set($field, $value): BaseItem {
    $this->{$field} = $value;
    return $this;
  }

}
